import { Tensor } from '@tensorflow/tfjs-node';
import { EncodedPrediction, WordEmbeddingsConfig, InputSet, OutputSet, ModelParameters, TrainingParameters } from './types';
export declare class ModelManager {
    private _model;
    private _wordEmbeddingsManager;
    constructor();
    loadModel(modelPath: string): Promise<void>;
    createModel(wordEmbeddingsConfig: WordEmbeddingsConfig, parameters: ModelParameters): Promise<void>;
    train(parameters: TrainingParameters): Promise<void>;
    predictProbabilities(input: Tensor): EncodedPrediction;
    predict(input: Tensor): number;
    evaluate(X: InputSet, y: OutputSet): number;
    saveModel(modelDir: string): Promise<void>;
}
